## byacc-20220101.tgz

=== package/pkgsrc/Makefile ===
# $NetBSD: Makefile,v 1.24 2021/08/14 01:04:32 mef Exp $
#

DISTNAME=	byacc-20220101
CATEGORIES=	devel
MASTER_SITES=	https://invisible-mirror.net/archives/byacc/
DIST_SUBDIR=	byacc-20220101
EXTRACT_SUFX=	.tgz

MAINTAINER=	fcambus@NetBSD.org
HOMEPAGE=	https://invisible-island.net/byacc/byacc.html
COMMENT=	Berkeley Yacc
LICENSE=	public-domain


GNU_CONFIGURE=	YES
MAKE_FILE=	makefile

.include "../../mk/bsd.pkg.mk"

=== package/debian/changelog ===
byacc (20220101) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 01 Jan 2022 07:06:35 -0500

byacc (20211224) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 24 Dec 2021 19:13:22 -0500

byacc (20210808) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 08 Aug 2021 15:26:10 -0400

byacc (20210802) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 02 Aug 2021 16:50:01 -0400

byacc (20210801) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 01 Aug 2021 15:30:22 -0400

byacc (20210619) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 19 Jun 2021 14:06:48 -0400

byacc (20210520) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 20 May 2021 15:25:00 -0400

byacc (20210328) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 28 Mar 2021 11:14:10 -0400

byacc (20210109) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 09 Jan 2021 09:32:51 -0500

byacc (20200910) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 10 Sep 2020 10:45:10 -0400

byacc (20200330) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 30 Mar 2020 19:31:42 -0400

byacc (20191125) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 25 Nov 2019 18:13:14 -0500

byacc (20191119) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 19 Nov 2019 20:40:56 -0500

byacc (20191103) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 03 Nov 2019 16:42:41 -0500

byacc (20190617) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 16 Jun 2019 15:51:03 -0400

byacc (20190616) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 16 Jun 2019 08:55:03 -0400

byacc (20180609) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 09 Jun 2018 20:42:16 -0400

byacc (20180525) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 21 May 2018 18:50:44 -0400

byacc (20180510) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 10 May 2018 04:59:09 -0400

byacc (20180509) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 09 May 2018 21:13:51 -0400

byacc (20180508) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 08 May 2018 16:24:39 -0400

byacc (20170709) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 09 Jul 2017 13:49:13 -0400

byacc (20170430) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 30 Apr 2017 16:55:15 -0400

byacc (20170201) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 01 Feb 2017 04:55:04 -0500

byacc (20161202) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 02 Dec 2016 07:58:46 -0500

byacc (20160606) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 06 Jun 2016 20:44:26 -0400

byacc (20160601) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 06 Jun 2016 05:21:18 -0400

byacc (20160324) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 24 Mar 2016 19:55:52 -0400

byacc (20150711) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 10 Jul 2015 20:53:15 -0400

byacc (20150705) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 05 Jul 2015 18:24:51 -0400

byacc (20141128) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 28 Nov 2014 10:42:17 -0500

byacc (20141006) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 06 Oct 2014 18:52:03 -0400

byacc (20141005) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 27 Jul 2014 10:45:06 -0400

byacc (20140715) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 15 Jul 2014 15:36:54 -0400

byacc (20140527) unstable; urgency=low

  * remove obsolete option from usage message

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 27 May 2014 22:01:55 -0400

byacc (20140422) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 22 Apr 2014 04:13:20 -0400

byacc (20140409) unstable; urgency=low

  * integrate Tom Shield's btyacc-related changes
  * add test-cases to fill in gaps reported by lcov

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 09 Apr 2014 15:53:59 -0400

byacc (20140101) unstable; urgency=low

  * yytname[] changes

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 01 Jan 2014 10:02:12 -0500

byacc (20130925) unstable; urgency=low

  * increase default stack-size

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 25 Sep 2013 18:41:54 -0400

byacc (20130304) unstable; urgency=low



=== package/debian/control ===
Source: byacc
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Section: devel
Priority: optional
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11)
Homepage: https://invisible-island.net/byacc/
Vcs-Git: https://salsa.debian.org/dickey/byacc

Package: byacc
Provides: yacc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: public domain Berkeley LALR Yacc parser generator
 This package provides a parser generator utility that reads a grammar
 specification from a file and generates an LR(1) parser for it.  The
 parsers consist of a set of LALR(1) parsing tables and a driver
 routine written in the C programming language.  It has a public domain
 license which includes the generated C.

Package: byacc2
Provides: yacc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: public domain Berkeley LALR Yacc parser generator
 This package provides a parser generator utility that reads a grammar
 specification from a file and generates an LR(1) parser for it.  The
 parsers consist of a set of LALR(1) parsing tables and a driver
 routine written in the C programming language.  It has a public domain
 license which includes the generated C.
 .
 This package has the backtracking extension.

=== package/debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.7 2022/01/01 13:01:37 tom Exp $
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

PACKAGES.arch  = byacc byacc2

CPPFLAGS	:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS		:= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		:= $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

BYACC_DIR = $(CURDIR)/debian/byacc
BTYACC_DIR = $(CURDIR)/debian/byacc2

BYACC_TMP = t/byacc
BTYACC_TMP = t/byacc2

verbose = # -v

configure = \
	CPPFLAGS="$(CPPFLAGS)" \
	CFLAGS="$(CFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	../../configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--enable-stdnoreturn \
		--program-transform-name='s,^yacc,byacc,'

all: build

config: config-arch
build: build-indep build-arch
install: install-arch
binary: binary-indep binary-arch

config-arch:  $(PACKAGES.arch:%=config-%-stamp)
build-arch:   $(PACKAGES.arch:%=build-%-stamp)
install-arch: $(PACKAGES.arch:%=install-%-stamp)

build-indep:

config-byacc-stamp:
	dh_testdir

	rm -rf $(BYACC_TMP)
	mkdir -p $(BYACC_TMP)
	cd $(BYACC_TMP); $(configure)

	touch $@

config-byacc2-stamp:
	dh_testdir

	rm -rf $(BTYACC_TMP)
	mkdir -p $(BTYACC_TMP)
	cd $(BTYACC_TMP); $(configure) \
		--enable-btyacc \
		--with-max-table-size=123456 \
		--program-transform-name='s,^yacc,byacc2,'

	touch $@

build-byacc-stamp: config-byacc-stamp
	dh_testdir

	cd $(BYACC_TMP); $(MAKE)

	touch $@

build-byacc2-stamp: config-byacc2-stamp
	dh_testdir

	cd $(BTYACC_TMP); $(MAKE)

	touch $@

install-byacc-stamp: build-byacc-stamp
	dh_testdir
	dh_testroot
	dh_installdirs

	cd $(BYACC_TMP); $(MAKE) install DESTDIR=$(BYACC_DIR)
	sed -i '/- an LALR/s,^..N,byacc,' $(BYACC_DIR)/usr/share/man/man1/byacc.1

	touch $@

install-byacc2-stamp: build-byacc2-stamp
	dh_testdir
	dh_testroot
	dh_installdirs

	cd $(BTYACC_TMP); $(MAKE) install DESTDIR=$(BTYACC_DIR)
	sed -i '/- an LALR/s,^..N,byacc2,' $(BTYACC_DIR)/usr/share/man/man1/byacc2.1

	touch $@

clean:
	dh_testdir
	dh_testroot

	dh_clean $(verbose)

	rm -rf t

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_lintian           $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdocs	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installexamples   $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installchangelogs $(verbose) $(PACKAGES.arch:%=-p%) CHANGES

# Build architecture-dependent files here.
binary-arch: build install
ifneq ($(PACKAGES.arch),)
	rm -f $(PACKAGES.arch:%=install-%-stamp)
	dh_testdir
	dh_testroot
	dh_lintian           $(verbose) $(PACKAGES.arch:%=-p%)
	dh_strip	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_compress	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_fixperms	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_installdeb	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_shlibdeps	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_gencontrol	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_md5sums	     $(verbose) $(PACKAGES.arch:%=-p%)
	dh_builddeb	     $(verbose) $(PACKAGES.arch:%=-p%)
endif

.PHONY: build clean config config-arch binary binary-indep binary-arch install install-arch
